package bk;

/**
 * There are four types of layouts, based on iteration order and median alignment.
 * Additionally there is one layout for the combined coordinates.
 * @author kolja
 *
 */
public enum LayoutType{
    TOP_BOTTOM_LEFT,
    TOP_BOTTOM_RIGHT,
    BOTTOM_TOP_LEFT,
    BOTTOM_TOP_RIGHT,
    COMBINED;
    
    public static LayoutType fromString( String s )
    {
        switch( s ) {
        case "DOWN_RIGHT":
            return TOP_BOTTOM_LEFT;
        case "DOWN_LEFT":
            return TOP_BOTTOM_RIGHT;
        case "UP_RIGHT":
            return BOTTOM_TOP_LEFT;
        case "UP_LEFT":
            return BOTTOM_TOP_RIGHT;
        }
        return null;
    }
}